import numpy
from model import *
from EnumDefinitions import *
from MatlabFuncs import *
from triangle import *
from setmask import *
from parameterize import *
from setflowequation import *
from solve import *

md=triangle(model(),'../Exp/79North.exp',10000.)
md=setmask(md,'../Exp/79NorthShelf.exp','')
md=parameterize(md,'../Par/79North.py')
md.extrude(2,1.)
md=setflowequation(md,'macayeal','all')
md.cluster=generic('name',oshostname(),'np',3)
md=solve(md,BedSlopeSolutionEnum())

#Fields and tolerances to track changes
field_names     =['BedSlopeX','BedSlopeY']
field_tolerances=[1e-13,1e-13]
field_values=[\
	md.results.BedSlopeSolution.BedSlopeX,\
	md.results.BedSlopeSolution.BedSlopeY,\
	]
